nxt

## Class AssetDividend

- java.lang.Object
- - nxt.AssetDividend

-     public final class AssetDividend
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AssetDividend.Event`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<AssetDividend> listener, AssetDividend.Event eventType)`
    `long` | `getAmountNQTPerQNT()`
    `static DbIterator<AssetDividend>` | `getAssetDividends(long assetId, int from, int to)`
    `long` | `getAssetId()`
    `int` | `getDividendHeight()`
    `int` | `getHeight()`
    `long` | `getHoldingId()`
    `HoldingType` | `getHoldingType()`
    `long` | `getId()`
    `static AssetDividend` | `getLastDividend(long assetId)`
    `long` | `getNumAccounts()`
    `int` | `getTimestamp()`
    `long` | `getTotalDividend()`
    `static boolean` | `removeListener(Listener<AssetDividend> listener, AssetDividend.Event eventType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addListener

          public static boolean addListener(Listener<AssetDividend> listener,
                                            AssetDividend.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<AssetDividend> listener,
                                               AssetDividend.Event eventType)

    - #### getAssetDividends

          public static DbIterator<AssetDividend> getAssetDividends(long assetId,
                                                                    int from,
                                                                    int to)

    - #### getLastDividend

          public static AssetDividend getLastDividend(long assetId)

    - #### getId

          public long getId()

    - #### getHoldingId

          public long getHoldingId()

    - #### getHoldingType

          public HoldingType getHoldingType()

    - #### getAssetId

          public long getAssetId()

    - #### getAmountNQTPerQNT

          public long getAmountNQTPerQNT()

    - #### getDividendHeight

          public int getDividendHeight()

    - #### getTotalDividend

          public long getTotalDividend()

    - #### getNumAccounts

          public long getNumAccounts()

    - #### getTimestamp

          public int getTimestamp()

    - #### getHeight

          public int getHeight()